Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableStrokeOpacity Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeOpacity:
[legend]
Collaboration diagram for Magick::DrawableStrokeOpacity:
[legend]

## Public Member Functions
| DrawableStrokeOpacity (double opacity_)
| ~DrawableStrokeOpacity (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | opacity (double opacity_)
double | opacity (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1868 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableStrokeOpacity::DrawableStrokeOpacity | ( | double | opacity_ | ) |
| inline

Definition at line 1871 of file Drawable.h.

Magick::DrawableStrokeOpacity::~DrawableStrokeOpacity | ( | void |  | ) |

Definition at line 1261 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableStrokeOpacity::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1269 of file Drawable.cpp.

void Magick::DrawableStrokeOpacity::opacity | ( | double | opacity_ | ) |
| inline

Definition at line 1884 of file Drawable.h.

double Magick::DrawableStrokeOpacity::opacity | ( | void |  | ) | const
| inline

Definition at line 1888 of file Drawable.h.

void Magick::DrawableStrokeOpacity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1265 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp